# List profile videos

List public videos posted by a Weibo profile.

- Platform: Weibo V2
- Request: `GET https://api.toolzerhub.com/v2/weibo/videos/user`
- Auth: `x-api-key` header
- Cost: 2 credits per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/weibo-v2/videos/get-weibo-user-video-list

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `uid` | query | yes | string | Weibo numeric user ID. |
| `cursor` | query | no | string | Pagination cursor. Use 0 for the first page, then send next_cursor from the previous response. Default: 0. |

## Example request

```bash
curl "https://api.toolzerhub.com/v2/weibo/videos/user?uid=<uid>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
